#include <iostream>

using namespace std;


int main()
{
    int n;
    cin>>n;
    long long int a[n];
    int pamti1=0, pamti2=0;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]!=0) pamti1=i;
    }
    long long int b[n];
    for(int i=0; i<n; i++)
    {
        cin>>b[i];
        if(b[i]!=0) pamti2=i;
    }
    if(abs(a[pamti1])==abs(b[pamti2]))
    {

    if(a[pamti1]/b[pamti2]<0)
    {
        if((pamti2-pamti1)%2==0)
        {
            cout<<"NE";
            return 0;
        }
        else
        {
            cout<<"DA";
            return 0;
        }
    }
    else
    {
        if((pamti2-pamti1)%2==0)
        {
            cout<<"DA";
            return 0;
        }
        else
        {
            cout<<"NE";
            return 0;
        }
    }
    }
    else
    {
        cout<<"NE";
        return 0;
    }

}